Core - Bug # 39383

Bug # 46389 (Accepted): Faulty Workspace Placeholders

Status: Under Review Priority: Should have
Author: Bart Dubelaar Category: Default
Created: 2012-07-30 Assigned To:

Updated: 2015-06-19 Due date:

TYPO3 Version: 45

PHP Version:

Complexity:

Is Regression:
Sprint Focus:

Subject: Cannot delete record moved in draft

Description

In a draft workspace:

1. Create two pages A + B and move B into A.
2. Delete B.

3. You will now see B twice, once at the old location and once inside A.

The point is that the draft element is deleted, but the move-to placeholder remains and is shown as a real record.

Hold for 4.5 up till 6.0

Related issues:

related to Core - Bug # 52636: Workspace: Moved records are deleted if source... Resolved 2013-10-09
related to Core - Bug # 53619: Moving Elements in draft - now my live is a mess New 2013-11-13
History

#1 - 2012-08-01 17:41 - Bart Dubelaar

Case Il

When the original record is removed in the live workspace, then the placeholder also remains and becomes visible.

#2 - 2012-08-07 14:07 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.0rg/13496

#3 - 2012-08-07 14:11 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/13496

#4 - 2013-03-17 21:08 - Oliver Hader
- Parent task set to #46389
#5 - 2013-09-18 14:36 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/13496

#6 - 2013-09-18 14:39 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/13496

#7 - 2013-10-01 17:11 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/13496

#8 - 2013-10-02 08:21 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/13496

#9 - 2013-10-07 11:57 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/13496

#10 - 2013-10-07 12:18 - Sascha Egerer

Testplan:

- Create a new record "foo" in live workspace on
a page where already a record exists

- switch to a workspace

- move the new record "foo" on the page (this will
create a placeholder and a move placeholder in
the database)

- switch back to the live workspace

- delete the record "foo"

- switch back to the workspace where you have moved
the record

Current result:

- The move placeholder is shown in the page

Expected result:

- The record should be removed completely

#11 - 2013-10-07 12:20 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/13496

2015-08-04 2/3


https://review.typo3.org/13496
https://review.typo3.org/13496
https://review.typo3.org/13496
https://review.typo3.org/13496
https://review.typo3.org/13496
https://review.typo3.org/13496

#12 - 2014-12-14 19:09 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/13496

#13 - 2015-06-19 14:34 - Gerrit Code Review

Patch set 10 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/13496
